V12.0
put
/ec-dc-svc/rest/v12.0/studies/{studyId}/{mode}/visitstatus/{visitStatusId}
Updates the visit status record for the specified visit and returns the latest attributes including doseHoldAction that the client uses to decide whether the Dose Hold button remains visible.
Request
Path Parameters
-
visitStatusId(required): string(uuid)
Visit ID to update.The format should be UUID, 32-character uppercase hexadecimal stringExample:
53915DD9B758466AB2226CBCC4466B7E
Supported Media Types
- application/json
Root Schema : schema
Type:
objectVisit status including the specific event instance number within a repeating schedule
Show Source
-
comment: string
Minimum Length:
0Maximum Length:2048Additional comment for the visit statusExample:All data verified -
eventId: string
Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890 -
eventInstanceNum: integer
(int32)
Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.Example:
1 -
eventType: string
Event type corresponding to the visit. The acceptable values are: Visit_Not_Started, Visit_Started, Visit_Complete, Visit_Skipped, Visit_Skip_Undone, Visit_Date_Changed, Visit_Inserted, Visit_Show, Visit_Hide, VisitDateEntered and VisitDateCleared.Example:
Visit_Not_Started -
id: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the recordExample:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
reason: string
Minimum Length:
0Maximum Length:255Reason associated with the visit statusExample:Subject completed the visit successfully -
siteId: string
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890 -
studyVersion(required): string
Minimum Length:
0Maximum Length:100String representing the version of the study. Helps track changes in form or study design.Example:3.0.0.1 -
subjectId: string
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890 -
versionStart: string
Start timestamp of the version recordExample:
2025-10-16T14:30:31.892Z -
visitStartDate: string
(date-time)
Visit start date timestampExample:
2025-10-16T14:30:31.892Z -
visitStatus: string
Status of the visit. The Value of the status can be NEW, COMPLETE, COMPLETE_ERR, INPROGRESS, INCOMPLETE, INCOMPLETE_ERR, SKIPPED, UNDO_SKIP and NOT_STARTED.Example:
COMPLETE -
visitType: string
Type of visit as per the visit type enumeration. The acceptable values are: SCREENING, RANDOMIZATION, DISPENSATION, NON_DISPENSATION, OPTIONAL, OPTIONAL_DISPENSATION, WITHDRAW, SCREENDISP, SCREENRAND, SUBJECT_COMPLETE, UNSCHEDULED, UNSCHEDULED_DISPENSATION, ADVERSE_EVENT, SCREENFAILURE, RESCREENING and RESCREENDISP.Example:
SCREENING
Response
Supported Media Types
- application/json
Default Response
default response